# mdtraj.Trajectory.superpose

Trajectory.superpose(reference, frame=0, atom_indices=None, ref_atom_indices=None, parallel=True)

  Superpose each conformation in this trajectory upon a reference

  Parameters:

    - reference (md.Trajectory) – Align self to a particular frame in reference

    - frame (int) – The index of the conformation in reference to align to.

    - atom_indices (array_like, or None) – The indices of the atoms to superpose. If not supplied, all atoms will be used.

    - ref_atom_indices (array_like, or None) – Use these atoms on the reference structure. If not supplied, the same atom indices will be used for this trajectory and the reference one.

    - parallel (bool) – Use OpenMP to run the superposition in parallel over multiple cores

  Return type:

    self